#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from typing import Self, Any, Optional

class QuestionsManagerInterface:

    def start(self:Self) -> None:pass

    def update(self:Self) -> None:pass

    def empty(self:Self) -> None:pass

    def add(self:Self, 
        inputs:dict[str, Any|None]|list[Any|None]|tuple[Any|None]|str, 
        overwrite:bool = False
    ) -> None:pass

    def get_value(self:Self, key:str, i:Optional[int] = None) -> Any|None:pass